## m2crypto 0.36.0

=== debian/changelog ===
m2crypto (0.36.0-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian: remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 14:43:18 +0200

m2crypto (0.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add Breaks+Replaces: m2crypto-doc on -doc pkg; Closes: #959947, #964299
    - wrap-and-sort
    - bump compat level to 13
  * debian/patches/{d3a43ffe1bfe4c128d6ab7c390419dee68f4ca5a.patch,
                    d67b8e3d2682eb70248d7070d860dabe5a003d52.patch}
    - drop patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2020 23:27:35 -0400

m2crypto (0.35.2-2) unstable; urgency=medium

  * debian/patches/d67b8e3d2682eb70248d7070d860dabe5a003d52.patch
    - fix syntax warning; Closes: #948300
  * rename doc package to python-m2crypto-doc, to respect policy

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Apr 2020 00:32:17 -0400

m2crypto (0.35.2-1) unstable; urgency=medium

  * New upstream release
  * run autopkgtests for all python3 supported versions; Closes: #954462
  * debian/copyright
    - update upstream copyright years
    - add myself to copyright, and order entries chrologically
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/patches/*
    - drop almost all patches, merged upstream
  * debian/patches/d3a43ffe1bfe4c128d6ab7c390419dee68f4ca5a.patch
    - add compatibility with python3.8 way of wrapping a fp in a Buffer;
      Closes: #958496

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 23:48:21 -0400
