## m2crypto 0.37.1

=== debian/changelog ===
m2crypto (0.37.1-2) unstable; urgency=medium

  * debian/patches/MR262.patch
    - fix test failure with recent openssl; Closes: #983013
  * debian/rules
    - skip test_ssl.py during tests, more than 50% of its tests faol on an
      IPv6-only machine; Closes: #979865

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Feb 2021 23:49:07 -0500

m2crypto (0.37.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
    - add parameterized to b-d, needed by tests
  * debian/patches/0001-import-inspect-in-urllib-2.patch
    - refresh patch
  * debian/patches/MR261.patch
    - fix compatibility with openssl/1.1.1i+; Closes: #954402

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2021 00:53:00 -0500
