=== debian/changelog ===
m2crypto (0.38.0-1ubuntu5) jammy; urgency=medium

  * FileTestCase.test_readline now passes again

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2022 11:33:47 +0000

m2crypto (0.38.0-1ubuntu4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:28:32 +0000

m2crypto (0.38.0-1ubuntu3) jammy; urgency=medium

  * Add one more test case to expected failures with openssl v3.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 06 Dec 2021 18:24:01 +0000

m2crypto (0.38.0-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 09:53:57 +0100

m2crypto (0.38.0-1ubuntu1) jammy; urgency=medium

  * Merge from debian, remaining changes:
    - ssl_23 padding is going away in OpenSSL upstream, thus skip test if
      OpenSSL raises an error.
    - Force enable tlsv1 for the tls1 tests.
  * Load legacy provider of openssl v3, as m2crypto tests legacy things.
  * Adjust some test suite expectations for openssl v3.
  * Skip some tests that fail with openssl v3.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 02 Dec 2021 18:25:56 +0000

m2crypto (0.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track gitlab releases
  * debian/patches
    - refresh, drop merged patches
  * debian/rules
    - use pybuild to run test and build doc

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Oct 2021 23:21:43 -0400

m2crypto (0.37.1-1ubuntu4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:56 +0000

m2crypto (0.37.1-1ubuntu3) hirsute; urgency=medium

  * ssl_23 padding is going away in OpenSSL upstream, thus skip test if
    OpenSSL raises an error.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Mar 2021 09:48:04 +0000

m2crypto (0.37.1-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:03:34 +0000

m2crypto (0.37.1-1ubuntu1) hirsute; urgency=medium

  * Force enable tlsv1 for the tls1 tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 14 Feb 2021 17:36:48 +0000

m2crypto (0.36.0-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:40:50 +0100
