=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libssl-dev,
@@ -10,14 +11,15 @@
                openssl <!nocheck>,
                python3-all-dev,
                python3-docutils <!nodoc>,
+               python3-parameterized <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                swig (>= 1.3.40),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://gitlab.com/m2crypto/m2crypto
-Vcs-Git: https://salsa.debian.org/python-team/modules/m2crypto.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/m2crypto
+Vcs-Git: https://salsa.debian.org/python-team/packages/m2crypto.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/m2crypto
 
 Package: python3-m2crypto
 Architecture: any
