## m2crypto 0.40.1

=== requirements.txt ===
wheel; sys.platform == 'win32'
setuptools>=65.6.0; python_version>='3.10'
