=== debian/changelog ===
m2crypto (0.40.1-4) unstable; urgency=medium

  [ Simon Quigley ]
  * QA upload (Closes: #1072341).

  [ Spyros Seimenis ]
  * debian/patches/fix-ssl-timeout-for-t64.patch: Fix SSL timeout struct
    on 32-bit systems with 64-bit time_t.  Closes LP: #2059156.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 05 Jun 2024 09:12:03 -0500

m2crypto (0.40.1-3) unstable; urgency=medium

  * QA upload.
  * Cherry-pick upstream patch to fix testsuite with OpenSSL 3.2.
    (Closes: #1063874)
  * Declare Rules-Requires-Root: no.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Apr 2024 17:29:26 +0200

m2crypto (0.40.1-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Feb 2024 01:19:57 -0500

m2crypto (0.40.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
    - Supports Python 3.12. (Closes: #1055568, 1040103)
  * Drop all patches, superseded upstream.

 -- Sandro Tosi <morph@debian.org>  Tue, 16 Jan 2024 01:36:41 -0500

m2crypto (0.38.0-4) unstable; urgency=high

  [ Stefano Rivera ]
  * Patch: Mitigate the Bleichenbacher timing attacks in the RSA decryption
    API (CVE-2020-25657, Closes: #975002)
  * Patch: Add support for setuptools >= 60. (Closes #1022485)

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Nov 2022 21:32:27 -0500

m2crypto (0.38.0-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Load legacy provider of openssl v3, to avoid segfault in tests when
    m2crypto tests legacy things. Thanks Dimitri John Ledkov for the patch.
    Closes: #1006508
  * Apply 4 patches to get the tests passing on OpenSSL 3.
  * Skip TLSv1.0 test, no longer possible to run it.

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jun 2022 00:44:57 -0400

m2crypto (0.38.0-2) unstable; urgency=medium

  * debian/tests/control
    - fix autopkgtests by installing build-deps; Closes: #998028

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Dec 2021 23:58:52 -0500
