=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libssl-dev,
@@ -16,6 +14,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                swig (>= 1.3.40),
+Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://gitlab.com/m2crypto/m2crypto
 Vcs-Git: https://salsa.debian.org/python-team/packages/m2crypto.git
