## m2crypto 0.41.0

=== debian/changelog ===
m2crypto (0.41.0-1) unstable; urgency=medium

  * New upstream version 0.41.0
  * Adopt package inside DPT (Closes: #1065037)
  * Apply multiarch hint
  * Use new dh-sequence-python3
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 00:04:23 +0200
