=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Uploaders: Alexandre Detiste <tchet@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libssl-dev,
                links <!nodoc>,
                openssl <!nocheck>,
@@ -28,7 +29,7 @@
 Suggests: python-m2crypto-doc,
 Provides: m2crypto,
           ${python3:Provides},
-Description: Python wrapper for the OpenSSL library (Python 3 modules)
+Description: Python wrapper for the OpenSSL library
  m2crypto features the following:
    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
@@ -38,12 +39,11 @@
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.
- .
- This package contains the modules for the Python 3.x interpreter.
 
 Package: python-m2crypto-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Build-Profiles: <!nodoc>
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
