=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # override settings from pybuild, unset them is needed for tests
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installdocs:
 	rst2html -r 5 README.rst .pybuild/README.html
