## m2crypto 0.41.0+ds

=== debian/changelog ===
m2crypto (0.41.0+ds-3) unstable; urgency=medium

  * Team upload
  * Revert "Do not pack time differently for i386 systems"
  * Fix HTML documentation

 -- Bastian Germann <bage@debian.org>  Fri, 19 Jul 2024 10:50:19 +0200

m2crypto (0.41.0+ds-2) unstable; urgency=medium

  * Expect failure for mktime on i386 only

 -- Bastian Germann <bage@debian.org>  Thu, 18 Jul 2024 16:42:30 +0200

m2crypto (0.41.0+ds-1) unstable; urgency=medium

  * Team upload
  * Do not expect failure on 32-bit systems with 64-bit time_t
  * Do not pack time differently for i386 systems
  * Move source to sr.ht
  * Exclude doctrees
  * Drop unnecessary exclusion

 -- Bastian Germann <bage@debian.org>  Thu, 18 Jul 2024 13:35:47 +0200
