=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                swig (>= 1.3.40),
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Homepage: https://gitlab.com/m2crypto/m2crypto
+Homepage: https://sr.ht/~mcepl/m2crypto/
 Vcs-Git: https://salsa.debian.org/python-team/packages/m2crypto.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/m2crypto
