=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_TEST_ARGS=--ignore tests/test_ssl.py
-export PYBUILD_AFTER_BUILD_python3=PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python3 -m sphinx -N doc debian/python-m2crypto-doc/usr/share/doc/python-m2crypto-doc/html
+export PYBUILD_AFTER_BUILD_python3=PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python3 -m sphinx -N doc html
 
 export OPENSSL_CONF=$(CURDIR)/debian/openssl.cnf
