## m2crypto 0.42.0

=== requirements.txt ===
build
wheel; sys.platform == 'win32'
setuptools>=43.0.0; python_version<='3.6'
setuptools>=65.6.0; python_version>='3.10'
