=== debian/changelog ===
m2crypto (0.42.0-2.1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:28:01 +0000

m2crypto (0.42.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove invalid test for X509_REQ_set_version() (Closes: #1085588).
  * Raise proper error if load_key_bio() fails (Closes: #1091133).
  * swig workaround: Shadow sys/types.h, discussed in #1091133.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 10 Jan 2025 12:47:19 +0100

m2crypto (0.42.0-2) unstable; urgency=high

  * Team upload.
  [ Paul Gevers ]
  * fix-ssl-timeout-for-t64.patch: reinstate qq in pack().
    Fixes FTBFS on several archs. Closes: #1085611, #1085589.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Oct 2024 11:42:00 +0200

m2crypto (0.42.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.42.0
  * Refresh patches
  * Add dep on python3-sphinx-rtd-theme

 -- Alexandre Detiste <tchet@debian.org>  Tue, 20 Aug 2024 18:06:43 +0200
