=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                swig (>= 1.3.40),
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
