=== debian/tests/control ===
Tests: python3-m2crypto
Depends: @, python3-all, python3-pytest
