=== debian/changelog ===
m2crypto (0.46.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Don't fail with missing urllib.request.URLopener (closes: #1117891).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 12:09:27 +0100

m2crypto (0.42.0-3) unstable; urgency=medium

  * Team upload.

  [ Sebastian Andrzej Siewior ]
  * tests: Don't pass `-debug' to openssl (closes: #1101045).

  [ Colin Watson ]
  * Add autopkgtest-dependency on openssl.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 12:21:06 +0000
