=== debian/tests/control ===
Tests: python3-m2crypto
Depends: @, openssl, python3-all, python3-pytest
